For the complete documentation index, see llms.txt. This page is also available as Markdown.

Disable

Create Disable

post

Creates a new disable Schedule.

Body
namestring · min: 1 · max: 255 · nullableRequired

Schedule name.

siteIdinteger · int32Optional

Site ID from which to retrieve the schedule.

enabledboolean · nullableOptional

Whether to enable or disable the schedule.

descriptionstring · nullableOptional

Schedule description.

typeinteger · int32 · nullableOptional

Schedule type

startDateTimestring · date-timeOptional

Start time. Default: Now.

durationInSecsnumber · double · nullableOptional

Duration in seconds.

repeatstring · enumOptional

Repeat Type

Possible values:
specificDaysstring[Flag] · enumOptional

Repeat Specific Days

Possible values:
completeIninteger · int32 · nullableOptional

The duration of the scheduler task in minutes. Default: 15 minutes for disable task, 10 minutes for reboot task.

poolMembersTypeinteger · int32 · nullableOptional

Whether to select the percentage or specific number of members to be started

percentageMembersinteger · int32 · nullableOptional

Percentage of members to be started

membersToStartinteger · int32 · nullableOptional

Specific number of members to be started

powerOnAssignedPoolMembersinteger · int32 · nullableOptional

Power On Assigned Pool Members

enableDrainModeboolean · nullableOptional

Whether to enable Drain Mode

forceServerRebootAfterinteger · int32 · nullableOptional

Force server reboot after the specified time in seconds

enforceScheduleInactiveHostboolean · nullableOptional

Enforce schedule for currently inactive host

onDisableboolean · nullableOptional

What action to take on Disable

Responses
200

Success

application/json; api-version=1.0

Schedule

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

siteIDinteger · int32Optional

Site ID

objTypestring · enumOptional

Schedule Object Type

Possible values:
actionstring · enumOptional

Schedule Action Type

Possible values:
targetTypestring · enumOptional

Scheduler Target Type

Possible values:
enabledbooleanOptional

Enabled

namestring · nullableOptional

Name

descriptionstring · nullableOptional

Description

typeinteger · int32 · nullableOptional

Type

targetIDsinteger · int32[] · nullableOptional

Target IDs

post/api/Provider/VM/VDIHost/Schedule/Disable
POST /api/Provider/VM/VDIHost/Schedule/Disable HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 597

{
  "name": "text",
  "siteId": 1,
  "enabled": true,
  "description": "text",
  "type": 1,
  "startDateTime": "2026-01-01T00:00:00.000Z",
  "durationInSecs": 1,
  "repeat": [
    "0 = Never",
    "1 = EveryDay",
    "2 = EveryWeek",
    "3 = Every2Weeks",
    "4 = EveryMonth",
    "5 = EveryYear",
    "6 = SpecificDays"
  ],
  "specificDays": [
    "0 = Never",
    "1 = Sunday",
    "2 = Monday",
    "4 = Tuesday",
    "8 = Wednesday",
    "16 = Thursday",
    "32 = Friday",
    "64 = Saturday"
  ],
  "completeIn": 1,
  "poolMembersType": 1,
  "percentageMembers": 1,
  "membersToStart": 1,
  "powerOnAssignedPoolMembers": 1,
  "enableDrainMode": true,
  "forceServerRebootAfter": 1,
  "enforceScheduleInactiveHost": true,
  "onDisable": true
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "siteID": 1,
  "objType": [
    "44 = RDS",
    "92 = AVD",
    "100 = VDI"
  ],
  "action": [
    "0 = Disable",
    "1 = Reboot",
    "3 = Startup",
    "4 = Shutdown",
    "7 = Recreate"
  ],
  "targetType": [
    "0 = Host",
    "1 = HostPool"
  ],
  "enabled": true,
  "name": "text",
  "description": "text",
  "type": 1,
  "targetIDs": [
    1
  ],
  "targetNativeHosts": [
    {
      "poolId": 1,
      "guid": "text",
      "guestName": "text",
      "hostAzureID": "text"
    }
  ],
  "trigger": {
    "startDateTime": "2026-01-01T00:00:00.000Z",
    "endDateTime": "2026-01-01T00:00:00.000Z",
    "repeat": [
      "0 = Never",
      "1 = EveryDay",
      "2 = EveryWeek",
      "3 = Every2Weeks",
      "4 = EveryMonth",
      "5 = EveryYear",
      "6 = SpecificDays"
    ],
    "specificDays": [
      "0 = Never",
      "1 = Sunday",
      "2 = Monday",
      "4 = Tuesday",
      "8 = Wednesday",
      "16 = Thursday",
      "32 = Friday",
      "64 = Saturday"
    ],
    "durationInSecs": 1,
    "completeIn": 1
  },
  "options": {
    "poolMembersType": 1,
    "percentageMembers": 1,
    "membersToStart": 1,
    "powerOnAssignedPoolMembers": 1,
    "messages": [
      {
        "id": 1,
        "enabled": true,
        "messageTitle": "text",
        "message": "text",
        "sendMsgSecs": 1,
        "sendMsgWhen": [
          "0 = Before",
          "1 = After"
        ]
      }
    ],
    "enableDrainMode": true,
    "forceServerRebootAfter": 1,
    "enforceScheduleInactiveHost": true,
    "onDisable": true
  }
}